{{- if .Files.Glob "conf/secrets/*" }}
apiVersion: v1
kind: Secret
metadata:
  name: {{ .Values.serviceName | default .Release.Name }}-secret
  labels:
    app: {{ .Release.Name }}
    createDate: {{ now | htmlDate }}
    {{ with .Values.Labels }}
        {{- toYaml . | nindent 4 }}
    {{ end }}
type: Opaque
stringData:
{{- (tpl (.Files.Glob "conf/secrets/*").AsConfig . ) | nindent 2 }}
{{- end }}